/*******************************************************************************
 * FoxProjectile_ArrowBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxProjectile_ArrowBase extends FoxProjectile_DartBase
    config(Projectile)
    hidecategories(Navigation);

var const config float MaxDamage;
var const config float MinDamage;
var const config float MeleeDamage;

simulated function HandleCollision(Actor Other, Vector HitLocation, Vector HitNormal)
{
    // End:0xAD
    if(VSizeSq(Velocity) > float(0))
    {
        super(FoxProjectile_GrenadeBase).HandleCollision(Other, HitLocation, HitNormal);
        // End:0xAD
        if(FoxProjectile_GrenadeBase(Other) != none)
        {
            Other.TakeDamage(int(Damage), InstigatorController, HitLocation, HitNormal * -MomentumTransfer, MyDamageType);
        }
    }
    //return;    
}

simulated event ParticleSystem GetImpactParticleSystem(PhysicalMaterial PhysMat)
{
    // End:0x196
    if(FoxGRI(WorldInfo.GRI).IsEffectRelevant(Instigator, Location, 4000.0, false, FoxGRI(WorldInfo.GRI).CheckEffectDistance_SpawnWithinCullDistance))
    {
        // End:0x196
        if((((PhysMat != none) && PhysMat.PhysicalMaterialProperty != none) && FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty) != none) && FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty).ImpactFX_Info != none)
        {
            return FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty).ImpactFX_Info.ProjectileImpactFX;
        }
    }
    return none;
    //return ReturnValue;    
}

simulated function PlayImpactSound(PhysicalMaterial PhysMat)
{
    local AkEvent HitEvent;

    // End:0x19F
    if(FoxGRI(WorldInfo.GRI).IsEffectRelevant(Instigator, Location, 4000.0, false, FoxGRI(WorldInfo.GRI).CheckEffectDistance_SpawnWithinCullDistance))
    {
        // End:0x19F
        if((((PhysMat != none) && PhysMat.PhysicalMaterialProperty != none) && FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty) != none) && FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty).ImpactFX_Info != none)
        {
            HitEvent = FoxPhysicalMaterialProperty(PhysMat.PhysicalMaterialProperty).ImpactFX_Info.ProjectileImpactSound;
        }
    }
    // End:0x1C6
    if(HitEvent != none)
    {
        PlayAkEvent(HitEvent, true, true, true);
    }
    //return;    
}

simulated function HandleStickTo(StickToDetails NewStickToInfo)
{
    StopTrailEmitterComponent();
    // End:0x31
    if(StopLoopEvent != none)
    {
        PlayAkEvent(StopLoopEvent, true);
    }
    super.HandleStickTo(NewStickToInfo);
    //return;    
}

defaultproperties
{
    begin object name=LFC0 class=LensFlareComponent
        NextTraceTime=-0.83523060
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxProjectile_ArrowBase.LFC0'
    LensFlareComp=LFC0
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxProjectile_ArrowBase.StaticMeshComponent0'
    Mesh=StaticMeshComponent0
    bPerformGravity=false
    bSpotGrenade=false
    bStickToTarget=true
    bTraceStickToWorld=true
    bStickWithVelocityRotation=true
    bCanPickup=true
    Bounciness=0.50
    GrenadeTimerLength=0.0
    DestructionTimer=30.0
    FirstBounceDamage=275.0
    MinStickCosTheta=0.250
    MinStickSkeletalMeshTheta=0.60
    ObtuseAngleAdjustment=5.0
    GravityScale=0.0
    ProjLightEnvironment=DynamicLightEnvironmentComponent'Default__FoxProjectile_ArrowBase.MyLightEnvironment'
    Speed=40000.0
    DamageRadius=400.0
    MomentumTransfer=100.0
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_ArrowBase.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_ArrowBase.CollisionCylinder'
    Components(0)=CollisionCylinder
    Components(1)=DynamicLightEnvironmentComponent'Default__FoxProjectile_ArrowBase.MyLightEnvironment'
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxProjectile_ArrowBase.StaticMeshComponent0'
    Components(2)=StaticMeshComponent0
    begin object name=LFC0 class=LensFlareComponent
        NextTraceTime=-0.83523060
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxProjectile_ArrowBase.LFC0'
    Components(3)=LFC0
    bCanBeDamaged=false
    LifeSpan=30.0
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_ArrowBase.CollisionCylinder'
    CollisionComponent=CollisionCylinder
    RotationRate=(Pitch=0,Yaw=0,Roll=0)
}